#	%Z% %M% %I% %D% %Q%
#
#	Copyright (C) The Santa Cruz Operation, 1989.
#	This Module contains Proprietary Information of
#	The Santa Cruz Operation, Microsoft Corporation
#	and AT&T, and should be treated as Confidential.
#
#	Irwin tape driver 
#	ver 4.0.0
#	05/05/90
#	ericd@sco.COM
#
#
# Define return values
: ${OK=0} ${FAIL=1} ${STOP=10} ${HALT}=11

PATH=/bin:/usr/bin:/etc:/usr/sys/conf:/tmp
export PATH 
TMPDIR=/tmp
LINKDIR=/usr/sys/conf
SLS="xnx146c (Irwin Drivers)"
SLSDIR=/usr/lib/sls
DATE=`date`
CPU=`uname -p`
LIBDIR=/usr/lib/mc
DOCDIR=$LIBDIR/doc
MKDEV=/usr/lib/mkdev

# Cleanup 
cleanup() {
	trap '' 1 2 3 15
	echo "Cleaning the install directory" >&2	
        cd $TMPDIR
	cp $TMPDIR/unpack /usr/bin/unpack.save 2>/dev/null
        rm -rf unpack i80286 i80386 doc $T_FILE* 2>/dev/null
	echo "\nThe driver has been loaded. "
	echo "Run /usr/lib/mkdev/irwin to configure." 
	echo "Please type n at the next prompt\n\n"
	exit $1
}

# Clear the screen
clr() {
	echo "\f" >&2
}

# Error output
error() {
	echo "\n${*}" >&2	
	echo "Cleaning the install directory" >&2	
        cd $TMPDIR
        rm -rf unpack i80286 i80386 doc $T_FILE* 2>/dev/null
	exit 0
}

# Unarchive files
unarc() {
	T_FILE=$TMPDIR/t_file
	echo "Unpacking files... Please wait.." >&2
	unpack $T_FILE 
	echo "Extracting files...    Please wait.." >&2
	tar xvf $T_FILE 1>/dev/null 2>/dev/null
}

# Driver install
inst() {
	[ -d $LIBDIR ] && rm -rf $LIBDIR
	echo "Making Directories" >&2
	mkdir $LIBDIR $DOCDIR
	case `grep typ= /etc/perms/inst` in
		*PS|*AT|*GT)	echo "Installing Driver" >&2
			  	cp $TMPDIR/$CPU/* $LIBDIR
				echo "Installing Mkdev Script" >&2
				cp $LIBDIR/irwin $MKDEV
				chmod u+x $MKDEV/irwin
				echo "Installing Doc" >&2
				cp $TMPDIR/doc/* $DOCDIR
				;;
		  	*) 	error "This SLS if for AT-GT-MC ONLY!"
				;;
	esac
}

# Add comment to SLS history file
sls() {
	if [ ! -d $SLSDIR ] ; then
		mkdir $SLSDIR
		chown bin $SLSDIR
		chgrp bin $SLSDIR
		chmod 755 $SLSDIR
	fi
	touch $SLSDIR/history
	chmod 644 $SLSDIR/history
	echo "SLS $SLS installed on $DATE" >> $SLSDIR/history	
}

# main()
clr		# Clear the screen
cd / 		# Must be at root
echo "\n$SLS Installation Script\n"
unarc 		# Unarchive files
inst		# Install drivers
sls		# Add a transaction to the SLSDIR
cleanup 	# House keeping

